package com.ruoyi.record.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 母排测温信息对象 record_busbar_temp
 * 
 * @author zangch
 * @date 2024-11-07
 */
public class RecordBusbarTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识 */
    @Excel(name = "标识")
    private Long objId;

    /** 母排编号 */
    @Excel(name = "母排编号")
    private Long busbarCode;

    /** 电柜编号 */
    @Excel(name = "电柜编号")
    private Long cabinetCode;

    /** 最高温度 */
    @Excel(name = "最高温度")
    private BigDecimal tempMax;

    /** 最低温度 */
    @Excel(name = "最低温度")
    private BigDecimal tempMin;

    /** 平均温度 */
    @Excel(name = "平均温度")
    private BigDecimal tempAvg;

    /** 温差 */
    @Excel(name = "温差")
    private BigDecimal tempDiff;

    /** 是否告警:1-是；0-否 */
    @Excel(name = "是否告警:1-是；0-否")
    private Long isAlarm;

    /** 图像路径 */
    @Excel(name = "图像路径")
    private String filePath;

    /** 是否启用:1-是;0-否 */
    @Excel(name = "是否启用:1-是;0-否")
    private Long isFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setBusbarCode(Long busbarCode) 
    {
        this.busbarCode = busbarCode;
    }

    public Long getBusbarCode() 
    {
        return busbarCode;
    }
    public void setCabinetCode(Long cabinetCode) 
    {
        this.cabinetCode = cabinetCode;
    }

    public Long getCabinetCode() 
    {
        return cabinetCode;
    }
    public void setTempMax(BigDecimal tempMax) 
    {
        this.tempMax = tempMax;
    }

    public BigDecimal getTempMax() 
    {
        return tempMax;
    }
    public void setTempMin(BigDecimal tempMin) 
    {
        this.tempMin = tempMin;
    }

    public BigDecimal getTempMin() 
    {
        return tempMin;
    }
    public void setTempAvg(BigDecimal tempAvg) 
    {
        this.tempAvg = tempAvg;
    }

    public BigDecimal getTempAvg() 
    {
        return tempAvg;
    }
    public void setTempDiff(BigDecimal tempDiff) 
    {
        this.tempDiff = tempDiff;
    }

    public BigDecimal getTempDiff() 
    {
        return tempDiff;
    }
    public void setIsAlarm(Long isAlarm) 
    {
        this.isAlarm = isAlarm;
    }

    public Long getIsAlarm() 
    {
        return isAlarm;
    }
    public void setFilePath(String filePath) 
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime) 
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() 
    {
        return updatedTime;
    }
    public void setRecordTime(Date recordTime) 
    {
        this.recordTime = recordTime;
    }

    public Date getRecordTime() 
    {
        return recordTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("busbarCode", getBusbarCode())
            .append("cabinetCode", getCabinetCode())
            .append("tempMax", getTempMax())
            .append("tempMin", getTempMin())
            .append("tempAvg", getTempAvg())
            .append("tempDiff", getTempDiff())
            .append("isAlarm", getIsAlarm())
            .append("filePath", getFilePath())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
            .append("recordTime", getRecordTime())
            .toString();
    }
}
